View Single Post
  #1  
Old 17th December 2009, 17:18
JosBR JosBR is offline
Junior Member
 
Join Date: Dec 2009
Location: The Netherlands
Posts: 4
Thanks: 1
Thanked 0 Times in 0 Posts
Default Problems installing LAMP - MySQL and PHP5

Hi all,

First time here.

Working for days now to get Apache, Mysql and PHP5 installed.
Linux is Linux Mint Helena.
Newbie on installing Lamp on Ubuntu/ Linux Mint.

I am working according the procedure outlined in

http://www.howtoforge.com/installing...untu-9.10-lamp

Submitted by falko.

Problem 1 MySQL:

When i did the install of MySQL I got the following error message. I am posting the complete tekst, so you are able to see the context:

Setting up mysql-server-core-5.1 (5.1.37-1ubuntu5) ...
Setting up mysql-server-5.1 (5.1.37-1ubuntu5) ...
* Stopping MySQL database server mysqld [ OK ]
* /etc/init.d/mysql: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz
* Starting MySQL database server mysqld [ OK ]
/etc/init.d/mysql: line 123: /etc/mysql/debian-start: No such file or directory
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.1 (--configure):
subprocess installed post-installation script returned error exit status 127

Setting up mysql-client (5.1.37-1ubuntu5) ...
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-server-5.1; however:
Package mysql-server-5.1 is not configured yet.
dpkg: error processing mysql-server (--configure):
dependency problems - leaving unconfigured

No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
mysql-server-5.1
mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

A package failed to install. Trying to recover:
Setting up mysql-server-5.1 (5.1.37-1ubuntu5) ...
* Stopping MySQL database server mysqld [ OK ]
* /etc/init.d/mysql: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz
* Starting MySQL database server mysqld [ OK ]
/etc/init.d/mysql: line 123: /etc/mysql/debian-start: No such file or directory
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.1 (--configure):
subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-server-5.1; however:
Package mysql-server-5.1 is not configured yet.
dpkg: error processing mysql-server (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
mysql-server-5.1

mysql-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

Can anyone tell me have to deal with these error messages?

Problem 2: PHP5

Here is the installation report PHP5:

Dell ~ # aptitude install php5 libapache2-mod-php5
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following NEW packages will be installed:
apache2-mpm-prefork{a} libapache2-mod-php5 php5 php5-common{a}
The following packages will be REMOVED:
apache2-mpm-worker{a}
The following partially installed packages will be configured:
mysql-server mysql-server-5.1
0 packages upgraded, 4 newly installed, 1 to remove and 130 not upgraded.
Need to get 0B/2,930kB of archives. After unpacking 6,308kB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
dpkg: apache2-mpm-worker: dependency problems, but removing anyway as you requested:
apache2 depends on apache2-mpm-worker (>= 2.2.12-1ubuntu2.1) | apache2-mpm-prefork (>= 2.2.12-1ubuntu2.1) | apache2-mpm-event (>= 2.2.12-1ubuntu2.1) | apache2-mpm-itk (>= 2.2.12-1ubuntu2.1); however:
Package apache2-mpm-worker is to be removed.
Package apache2-mpm-prefork is not installed.
Package apache2-mpm-event is not installed.
Package apache2-mpm-itk is not installed.
(Reading database ... 127493 files and directories currently installed.)
Removing apache2-mpm-worker ...
* Stopping web server apache2 apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
... waiting . [ OK ]
Selecting previously deselected package apache2-mpm-prefork.
(Reading database ... 127485 files and directories currently installed.)
Unpacking apache2-mpm-prefork (from .../apache2-mpm-prefork_2.2.12-1ubuntu2.1_all.deb) ...
Selecting previously deselected package php5-common.
Unpacking php5-common (from .../php5-common_5.2.10.dfsg.1-2ubuntu6.3_i386.deb) ...
Selecting previously deselected package libapache2-mod-php5.
Unpacking libapache2-mod-php5 (from .../libapache2-mod-php5_5.2.10.dfsg.1-2ubuntu6.3_i386.deb) ...
Selecting previously deselected package php5.
Unpacking php5 (from .../php5_5.2.10.dfsg.1-2ubuntu6.3_all.deb) ...
Setting up mysql-server-5.1 (5.1.37-1ubuntu5) ...
* Stopping MySQL database server mysqld [ OK ]
* /etc/init.d/mysql: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz
* Starting MySQL database server mysqld [ OK ]
/etc/init.d/mysql: line 123: /etc/mysql/debian-start: No such file or directory
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.1 (--configure):
subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-server-5.1; however:
Package mysql-server-5.1 is not configured yet.
dpkg: error processing mysql-server (--configure):
dependency problems - leaving unconfigured
Setting up apache2-mpm-prefork (2.2.12-1ubuntu2.1) ...
No apport report written because the error message indicates its a followup error from a previous failure.
* Starting web server apache2 apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
[ OK ]

Setting up php5-common (5.2.10.dfsg.1-2ubuntu6.3) ...
Setting up libapache2-mod-php5 (5.2.10.dfsg.1-2ubuntu6.3) ...
Not replacing deleted config file /etc/php5/apache2/php.ini

Setting up php5 (5.2.10.dfsg.1-2ubuntu6.3) ...
Errors were encountered while processing:
mysql-server-5.1
mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up mysql-server-5.1 (5.1.37-1ubuntu5) ...
* Stopping MySQL database server mysqld [ OK ]
* /etc/init.d/mysql: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz
* Starting MySQL database server mysqld [ OK ]
/etc/init.d/mysql: line 123: /etc/mysql/debian-start: No such file or directory
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.1 (--configure):
subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-server-5.1; however:
Package mysql-server-5.1 is not configured yet.
dpkg: error processing mysql-server (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
mysql-server-5.1
mysql-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

When I enter http://localhost, in Firefox I get : It works....etc

When I enter http://localhost/info.php, Firefox is asking me what I want to do with the info.php file, assuming that PHP5 is not working.

I appreciate any help.

My best

Jos
Reply With Quote
Sponsored Links